<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema targetNamespace="http://www.hkicl.com.hk/tr" elementFormDefault="qualified" attributeFormDefault="unqualified"
    xmlns:xsd="http://www.w3.org/2001/XMLSchema" 
    xmlns:fpml="http://www.fpml.org/FpML-5/reporting" 
    xmlns="http://www.hkicl.com.hk/tr">
    
	<xsd:import namespace="http://www.fpml.org/FpML-5/reporting" schemaLocation="hkicl-tr-fpml-extended.xsd"/>
		
	<xsd:complexType name="DividendSwapTransactionSupplement">
		<xsd:complexContent>
			<xsd:extension base="fpml:DividendSwapTransactionSupplement">
				<xsd:sequence minOccurs="0">
				    <xsd:element name="dividendSwapExtension" type="DividendSwapExtension" minOccurs="0">
				        <xsd:annotation>
				            <xsd:documentation xml:lang="en"></xsd:documentation>
				        </xsd:annotation>
				    </xsd:element>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>
    
    <xsd:complexType name="DividendSwapExtension">
        <xsd:sequence minOccurs="0">
            <xsd:element name="notionalAmount" type="fpml:NotionalAmount" minOccurs="0">
                <xsd:annotation>
                    <xsd:documentation xml:lang="en">The notional amount.</xsd:documentation>
                </xsd:annotation>
            </xsd:element>
        </xsd:sequence>
    </xsd:complexType>
	
</xsd:schema>